package de.samdev.colorrunner.screens.gameScreen;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.badlogic.gdx.scenes.scene2d.actions.MoveToAction;
import com.badlogic.gdx.utils.viewport.ExtendViewport;

import de.samdev.colorrunner.actors.DemoActor;

public class GameScreen implements Screen {
	private Stage stage;
	
	public GameScreen() {
		stage = new Stage(new ExtendViewport(Gdx.graphics.getWidth(),Gdx.graphics.getHeight())); //TODO fix w/h ???
		
		DemoActor myActor = new DemoActor();
		myActor.setTouchable(Touchable.enabled);
		stage.addActor(myActor);
		
		
        MoveToAction moveAction = new MoveToAction();
        moveAction.setPosition(300f, 0f);
        moveAction.setDuration(10f);
        myActor.addAction(moveAction);
	}

	@Override
	public void render(float delta) {
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
	    stage.act(delta);
		stage.draw();
	}

	@Override
	public void resize(int width, int height) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void show() {
		Gdx.input.setInputProcessor(stage);
        Gdx.app.log("GameScreen", "show called");	
	}

	@Override
	public void hide() {
        Gdx.app.log("GameScreen", "hide called");   
	}

	@Override
	public void pause() {
        Gdx.app.log("GameScreen", "pause called");
	}

	@Override
	public void resume() {
        Gdx.app.log("GameScreen", "resume called");     
	}

	@Override
	public void dispose() {
        Gdx.app.log("GameScreen", "dispose called");     
	}

}
